IMAPClient.STATUS_DATA_ITEMS
Date: 2016-06-23

org.apache.commons.net.imap

## Enum IMAPClient.STATUS_DATA_ITEMS

- java.lang.Object
- - java.lang.Enum<IMAPClient.STATUS_DATA_ITEMS>
  - - org.apache.commons.net.imap.IMAPClient.STATUS_DATA_ITEMS

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IMAPClient.STATUS_DATA_ITEMS>
  Enclosing class:
    IMAPClient

      public static enum IMAPClient.STATUS_DATA_ITEMS
      extends java.lang.Enum<IMAPClient.STATUS_DATA_ITEMS>

  The status data items defined in RFC 3501.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MESSAGES` The number of messages in the mailbox.
    `RECENT` The number of messages with the \Recent flag set.
    `UIDNEXT` The next unique identifier value of the mailbox.
    `UIDVALIDITY` The unique identifier validity value of the mailbox.
    `UNSEEN` The number of messages which do not have the \Seen flag set.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IMAPClient.STATUS_DATA_ITEMS` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IMAPClient.STATUS_DATA_ITEMS[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MESSAGES

          public static final IMAPClient.STATUS_DATA_ITEMS MESSAGES

      The number of messages in the mailbox.

    - #### RECENT

          public static final IMAPClient.STATUS_DATA_ITEMS RECENT

      The number of messages with the \Recent flag set.

    - #### UIDNEXT

          public static final IMAPClient.STATUS_DATA_ITEMS UIDNEXT

      The next unique identifier value of the mailbox.

    - #### UIDVALIDITY

          public static final IMAPClient.STATUS_DATA_ITEMS UIDVALIDITY

      The unique identifier validity value of the mailbox.

    - #### UNSEEN

          public static final IMAPClient.STATUS_DATA_ITEMS UNSEEN

      The number of messages which do not have the \Seen flag set.

  - ### Method Detail

    - #### values

          public static IMAPClient.STATUS_DATA_ITEMS[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IMAPClient.STATUS_DATA_ITEMS c : IMAPClient.STATUS_DATA_ITEMS.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IMAPClient.STATUS_DATA_ITEMS valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null